declare class Vector3D {
    x: number;
    y: number;
    z: number;
    constructor(vec: Vector3D);
    constructor(x?: number, y?: number, z?: number);
    add(vec: Vector3D): Vector3D;
    add(x: number, y: number, z: number): Vector3D;
    sub(vec: Vector3D): Vector3D;
    sub(x: number, y: number, z: number): Vector3D;
    scale(n: number): this;
    lenSqr(): number;
    len(): number;
    normalize(): this;
    dist(vec: Vector3D): number;
    dist(x: number, y: number, z: number): number;
    equals(vec: Vector3D): boolean;
    equals(x: number, y: number, z: number): boolean;
    dot(vec: Vector3D): number;
    dot(x: number, y: number, z: number): number;
    cross(vec: Vector3D): Vector3D;
    cross(x: number, y: number, z: number): Vector3D;
    lerp(vec: Vector3D, percent?: number): Vector3D;
    lerp(x: number, y: number, z: number, percent?: number): Vector3D;
    slerp(vec: Vector3D, percent?: number): Vector3D;
    slerp(x: number, y: number, z: number, percent?: number): Vector3D;
    nlerp(vec: Vector3D, percent?: number): Vector3D;
    nlerp(x: number, y: number, z: number, percent?: number): Vector3D;
    copy(): Vector3D;
}
export default Vector3D;
